4 Replies Latest reply on Sep 21, 2015 8:26 AM by Paul Banoub

    Tabjolt java error - Unsupported major.minor version. Minimum version?

    Paul Banoub


      Hi

       

      I get the following error when running Tabjolt. Does anyone know the minimum version of java required for Tabjolt?

       

      D:\Program Files\Tableau\Tabjolt\tabjolt-5be62be88cdeaebbabed93bff0d33fc6ca65c84
      2>go --t=testplans\InteractVizLoadTest.jmx --d=60 --c=1
      Exception in thread "main" java.lang.UnsupportedClassVersionError: com/tableauso
      ftware/test/tools/perfRunHarness/Main : Unsupported major.minor version 51.0
              at java.lang.ClassLoader.defineClass1(Native Method)
              at java.lang.ClassLoader.defineClassCond(Unknown Source)
              at java.lang.ClassLoader.defineClass(Unknown Source)
              at java.security.SecureClassLoader.defineClass(Unknown Source)
              at java.net.URLClassLoader.defineClass(Unknown Source)
              at java.net.URLClassLoader.access$000(Unknown Source)
              at java.net.URLClassLoader$1.run(Unknown Source)
              at java.security.AccessController.doPrivileged(Native Method)
              at java.net.URLClassLoader.findClass(Unknown Source)
              at java.lang.ClassLoader.loadClass(Unknown Source)
              at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
              at java.lang.ClassLoader.loadClass(Unknown Source)
      Could not find the main class: com.tableausoftware.test.tools.perfRunHarness.Mai
      n.  Program will exit.

      D:\Program Files\Tableau\Tabjolt\tabjolt-5be62be88cdeaebbabed93bff0d33fc6ca65c84
      2>java -version
      java version "1.6.0_71"
      Java(TM) SE Runtime Environment (build 1.6.0_71-b31)
      Java HotSpot(TM) 64-Bit Server VM (build 20.71-b01, mixed mode)